Package org.zkoss.bind.impl

## Class AbstractRenderer

- java.lang.Object
- - org.zkoss.bind.impl.AbstractRenderer

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `BindCascaderRenderer`, `BindChildRenderer`, `BindChosenboxRenderer`, `BindComboitemRenderer`, `BindLineitemRenderer`, `BindListitemRenderer`, `BindOrgitemRenderer`, `BindRadioRenderer`, `BindRowRenderer`, `BindSearchboxRenderer`, `BindSelectboxRenderer`, `BindStepRenderer`, `BindTabboxRenderer`, `BindTreeitemRenderer`

      public abstract class AbstractRenderer
      extends java.lang.Object
      implements java.io.Serializable

  to handle the common task of resolver a template of a renderer
  Since:
    6.0.0
  Author:
    dennis
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static java.lang.String` | `CURRENT_INDEX_RESOLVER_ATTR` |
    `protected static java.lang.String` | `EACH_ATTR` |
    `protected static java.lang.String` | `EACH_STATUS_VAR` |
    `protected static java.lang.String` | `EACH_VAR` |
    `protected static java.lang.String` | `IS_TEMPLATE_MODEL_ENABLED_ATTR` |
    `protected static java.lang.String` | `RENDERED_COMPONENTS` |
    `protected static java.lang.String` | `STATUS_ATTR` |
    `protected static java.lang.String` | `STATUS_POST_VAR` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractRenderer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addItemReference​(Component modelOwner, Component comp, int index, java.lang.String varnm)` |
    `protected void` | `addTemplateTracking​(Component templateComp, Component eachComp, java.lang.Object data, int index, int size)` |
    `protected Component[]` | `filterOutShadows​(Component parent, Component[] items)` |
    `protected Template` | `resolveTemplate​(Component templateComp, Component comp, java.lang.Object data, int index, int size, java.lang.String defaultName)` |
    `protected Template` | `resolveTemplate​(Component templateComp, Component comp, java.lang.Object data, int index, int size, java.lang.String defaultName, java.lang.String subType)` |
    `void` | `setAttributeName​(java.lang.String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EACH_ATTR

          protected static final java.lang.String EACH_ATTR

      See Also:
        Constant Field Values

    - #### EACH_VAR

          protected static final java.lang.String EACH_VAR

      See Also:
        Constant Field Values

    - #### STATUS_ATTR

          protected static final java.lang.String STATUS_ATTR

      See Also:
        Constant Field Values

    - #### STATUS_POST_VAR

          protected static final java.lang.String STATUS_POST_VAR

      See Also:
        Constant Field Values

    - #### EACH_STATUS_VAR

          protected static final java.lang.String EACH_STATUS_VAR

      See Also:
        Constant Field Values

    - #### IS_TEMPLATE_MODEL_ENABLED_ATTR

          protected static final java.lang.String IS_TEMPLATE_MODEL_ENABLED_ATTR

      See Also:
        Constant Field Values

    - #### CURRENT_INDEX_RESOLVER_ATTR

          protected static final java.lang.String CURRENT_INDEX_RESOLVER_ATTR

      See Also:
        Constant Field Values

    - #### RENDERED_COMPONENTS

          protected static final java.lang.String RENDERED_COMPONENTS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractRenderer

          public AbstractRenderer()

  - ### Method Detail

    - #### setAttributeName

          public void setAttributeName​(java.lang.String name)

    - #### resolveTemplate

          protected Template resolveTemplate​(Component templateComp,
                                             Component comp,
                                             java.lang.Object data,
                                             int index,
                                             int size,
                                             java.lang.String defaultName)

    - #### resolveTemplate

          protected Template resolveTemplate​(Component templateComp,
                                             Component comp,
                                             java.lang.Object data,
                                             int index,
                                             int size,
                                             java.lang.String defaultName,
                                             java.lang.String subType)

    - #### filterOutShadows

          protected Component[] filterOutShadows​(Component parent,
                                                 Component[] items)

    - #### addTemplateTracking

          protected void addTemplateTracking​(Component templateComp,
                                             Component eachComp,
                                             java.lang.Object data,
                                             int index,
                                             int size)

    - #### addItemReference

          protected void addItemReference​(Component modelOwner,
                                          Component comp,
                                          int index,
                                          java.lang.String varnm)